View Issue Details

IDProjectCategoryView StatusLast Update
0005532DarkRadiantGUIpublic23.03.2021 07:05
Reportergreebo Assigned Togreebo  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.11.0 
Target Version2.12.0Fixed in Version2.12.0 
Summary0005532: Material Editor: Ground Work
DescriptionIntroduce a GUI covering most of the material and stage properties.
Extend and introduce interfaces needed to manipulate materials.
Extend the material parser to cover all the keywords introduced by TDM in the last few years.
Improve the parser to not skip over certain syntax (since it was not needed before), and to change the handling of some expressions (like alphaTest which is not just accepting a float, but a regular shader expression).
Extend ShaderExpression handling to be able to reproduce the string they were parsed from.
Additional InformationFeature discussion: https://forums.thedarkmod.com/index.php?/topic/20748-feature-discussion-material-editor/
TagsNo tags attached.

Relationships

related to 0005566 resolvedgreebo Material stages with alpha test are incorrectly rendered as translucent 
child of 0005572 resolvedgreebo Material Editor 

Activities

Bikerdude

Bikerdude

07.03.2021 14:55

reporter   ~0013764

Hi Greebo

I am very interested in this feature and if you need another beta/feature tester I am happy to help.

b.
greebo

greebo

07.03.2021 16:21

administrator   ~0013765

Thanks for the offer. It'll be a while until editing capabilities are in a functional state. Right now it's just able to load materials and loading the values inthe controls in the GUI.

Related Changesets

DarkRadiant: materialeditor 59b1b754

2021-02-10 04:22:10

greebo

Details Diff
0005532: Add the module and command/menu bindings Affected Issues
0005532
mod - radiant/CMakeLists.txt Diff File
add - radiant/ui/materials/MaterialEditor.h Diff File
add - radiant/ui/materials/MaterialEditorModule.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor 252ea449

2021-02-10 06:37:35

greebo

Details Diff
0005532: Copy the particle editor XRC file to use that as launchpad Affected Issues
0005532
add - install/ui/materialeditor.fbp Diff File
mod - radiant/CMakeLists.txt Diff File
add - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiant/ui/materials/MaterialEditorModule.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor 9ed05927

2021-02-10 08:29:13

greebo

Details Diff
0005532: Close button, empty preview widget Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor eb8123cf

2021-02-12 07:26:01

greebo

Details Diff
0005532: Introduce an intermediate MaterialTreeView which is just displaying the materials without any default context menu actions.
MediaBrowserTreeView is inheriting MaterialTreeView to add the pieces needed for the Media Browser tab.
Affected Issues
0005532
mod - radiant/CMakeLists.txt Diff File
add - radiant/ui/common/MaterialPopulator.cpp Diff File
add - radiant/ui/common/MaterialPopulator.h Diff File
add - radiant/ui/common/MaterialTreeView.cpp Diff File
add - radiant/ui/common/MaterialTreeView.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.cpp Diff File
mod - radiant/ui/mediabrowser/MediaBrowserTreeView.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor 0269d29d

2021-02-12 07:35:17

greebo

Details Diff
0005532: Add MaterialTreeView to the editor window Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 31d3a92e

2021-02-14 12:38:11

greebo

Details Diff
0005532: WIP work on the XRC file Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
add - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 44cd18b2

2021-02-14 12:38:11

greebo

Details Diff
0005532: In-progress work on the XRC file Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
add - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 8b9e88e9

2021-02-16 18:53:03

greebo

Details Diff
0005532: More XRC work Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor c04fbe25

2021-02-18 19:38:01

greebo

Details Diff
0005532: Needed controls are roughly distributed now Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File

DarkRadiant: materialeditor 4d599792

2021-02-19 04:32:52

greebo

Details Diff
0005532: Add guisurf and some control names Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File

DarkRadiant: materialeditor 1c0f9a76

2021-02-19 05:00:07

greebo

Details Diff
0005532: Start working on control population Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 195e3031

2021-02-19 05:54:20

greebo

Details Diff
0005532: Add utility mapping Material::SurfaceType <=> string Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
add - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: materialeditor 81b9bcb4

2021-02-19 06:35:19

greebo

Details Diff
0005532: Add Binding class used to connect the Material to a UI control. Introduce CheckboxBinding as first implementation to reflect all the surface flags. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
add - radiant/ui/materials/MaterialBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor 8cb57ca5

2021-02-19 07:45:40

greebo

Details Diff
0005532: Material flag bindings Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 110bc03e

2021-02-19 09:21:08

greebo

Details Diff
0005532: Add support for cubicLight and ambientCubicLight keywords Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor a7352a92

2021-02-19 09:48:55

greebo

Details Diff
0005532: The value of the polygonOffset keyword is optional, adjust the parser Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 4627d6c7

2021-02-19 09:57:43

greebo

Details Diff
0005532: polygonOffset binding Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 0aae4dd5

2021-02-19 10:04:24

greebo

Details Diff
0005532: Test material parser handling polygonOffset Affected Issues
0005532
mod - test/Materials.cpp Diff File
add - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 65ae7f25

2021-02-19 11:42:06

greebo

Details Diff
0005532: Add support for sort request afterFog, as introduced in TDM.
Add parser flags since we otherwise cannot determine whether a material had a sort keyword defined or had just the defaulted to opaque or using DECAL_MACRO.
Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - libs/wxutil/dataview/ResourceTreeView.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor c702aa99

2021-02-19 11:54:08

greebo

Details Diff
0005532: Unit tests for sort keyword handling Affected Issues
0005532
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 0d5bc8df

2021-02-19 12:55:44

greebo

Details Diff
0005532: Add parser stage for the TDM ambientRimColor keyword, no actual implementation for this one Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor c120e109

2021-02-19 15:35:11

greebo

Details Diff
0005532: Extract interface of map expression in preparation of a method to reconstruct the initial expression source text. Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - include/ishaders.h Diff File
mod - include/precompiled_interfaces.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/MapExpression.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor 94c326c5

2021-02-19 16:07:28

greebo

Details Diff
0005532: MapExpression offer now a getExpressionString() method to reconstruct the nested expression string Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/imagefile/ImageLoader.cpp Diff File
mod - radiantcore/shaders/MapExpression.cpp Diff File
mod - radiantcore/shaders/MapExpression.h Diff File

DarkRadiant: materialeditor 006bab20

2021-02-19 16:30:57

greebo

Details Diff
0005532: Add parsing code for TDM's lightFalloffCubeMap Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor d959727d

2021-02-20 03:34:45

greebo

Details Diff
0005532: Adjust spectrum parsing code. The default is 0, even without a keyword. Add parser flag to determine whether we actually had the keyword in the material def. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 5965bc5b

2021-02-20 03:40:19

greebo

Details Diff
0005532: Load spectrum value to controls Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 539ce580

2021-02-20 04:13:10

greebo

Details Diff
0005532: Load decal info into editor Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 01d46acc

2021-02-20 04:39:31

greebo

Details Diff
0005532: Parser support for TWOSIDED_DECAL_MACRO, GLASS_MACRO and PARTICLE_MACRO. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 47929272

2021-02-20 04:44:39

greebo

Details Diff
0005532: Load values for the various macro into the controls Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor a748d878

2021-02-20 04:47:27

greebo

Details Diff
0005532: Parser support for ignoreDepth stage keyword Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 29fc9a17

2021-02-20 04:51:56

greebo

Details Diff
0005532: Add new material keywords to source view scheme Affected Issues
0005532
mod - libs/wxutil/SourceView.cpp Diff File

DarkRadiant: materialeditor 2206a93a

2021-02-20 05:39:48

greebo

Details Diff
0005532: Parser is preserving the renderbump arguments after parsing. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 43c377f2

2021-02-20 05:43:56

greebo

Details Diff
0005532: Display renderbump arguments in Material Editor. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 7870ee92

2021-02-20 09:14:15

greebo

Details Diff
0005532: Parser is preserving the renderbumpflat arguments after parsing. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 6803df2b

2021-02-20 09:16:19

greebo

Details Diff
0005532: Display renderbumpflat arguments in Material Editor. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 9d10db97

2021-02-20 17:00:44

greebo

Details Diff
0005532: Parser support for the TDM-specific isLightGemSurf keyword Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor d0c3793c

2021-02-21 04:17:33

greebo

Details Diff
0005532: Start working on the deform page Affected Issues
0005532
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 666551c3

2021-02-21 04:25:55

greebo

Details Diff
0005532: Show/hide deform pages as needed Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 863474bb

2021-02-21 05:36:34

greebo

Details Diff
0005532: IShaderExpression can reproduce a string expression. Better support for deform keywords in materials. Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor 08aeb123

2021-02-21 05:47:56

greebo

Details Diff
0005532: Deform info is displayed in the Material Editor Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 66db22e7

2021-02-21 05:55:46

greebo

Details Diff
0005532: Add some parser unit tests for deform variants Affected Issues
0005532
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor e3c36631

2021-02-21 08:19:11

greebo

Details Diff
0005532: Start working on material stages Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor 3ace0cf2

2021-02-21 08:41:49

greebo

Details Diff
0005532: WIP material stages Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor d685ffc6

2021-02-21 12:02:35

greebo

Details Diff
0005532: Set up stage flag bindings Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor fe82beed

2021-02-21 16:13:35

greebo

Details Diff
0005532: Alphatest binding Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor 7e45278b

2021-02-23 15:55:00

greebo

Details Diff
0005532: Blend types are loaded into the UI Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 137dc917

2021-02-23 16:34:58

greebo

Details Diff
0005532: Display the map expression used in a stage Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor 37c90058

2021-02-23 16:48:30

greebo

Details Diff
0005532: Parser is storing the cubeMap map expression to the shader layer, rather than ignoring it Affected Issues
0005532
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor e56565f2

2021-02-23 17:09:46

greebo

Details Diff
0005532: A cube map decl expression is deriving from IMapExpression too now. It's different from the MapExpression intermediate type since it doesn't generate a single ImagePtr, but offers the cube map binding methods instead. Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - radiantcore/shaders/CameraCubeMapDecl.cpp Diff File
mod - radiantcore/shaders/CameraCubeMapDecl.h Diff File
mod - radiantcore/shaders/MapExpression.h Diff File

DarkRadiant: materialeditor e1c05f1a

2021-02-23 17:11:04

greebo

Details Diff
0005532: Since map, cubeMap and cameraCubeMap are mutually exclusive, add a dropdown next to the image map field. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 0f92a1f8

2021-02-23 18:03:11

greebo

Details Diff
0005532: Add ShaderLayer::MapType enum to distinguish the various map keywords in material stages Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor aa2fb0b8

2021-02-23 18:03:39

greebo

Details Diff
0005532: Material Editor adjustments for map type display Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor e55d8e60

2021-02-26 05:00:09

greebo

Details Diff
0005532: Better parser support for videoMaps, recognising the expression and delivering a placeholder image. Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
add - install/bitmaps/videomap.png Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
add - radiantcore/shaders/VideoMapExpression.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor ed2b64d4

2021-02-26 05:00:28

greebo

Details Diff
0005532: Material Editor can deal with videoMap stages Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 18f2d0a1

2021-02-26 05:27:45

greebo

Details Diff
0005532: Better expression support for sound maps, delivering placeholder images Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
add - install/bitmaps/soundmap.png Diff File
add - install/bitmaps/soundmap_wave.png Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
add - radiantcore/shaders/SoundMapExpression.h Diff File
mod - radiantcore/shaders/VideoMapExpression.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor 70d7154a

2021-02-26 05:27:55

greebo

Details Diff
0005532: Material Editor can deal with soundMap stages Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 610aeac7

2021-02-26 07:29:32

greebo

Details Diff
0005532: Parser support for storing the render map dimensions (width/height) of remoteRenderMap and mirrorRenderMap stages Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor febd0e17

2021-02-26 07:43:23

greebo

Details Diff
0005532: Material Editor can display mirrorRenderMap and remoteRenderMap stages Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 44a8f4d5

2021-02-27 04:58:03

greebo

Details Diff
0005532: Material Editor fills the controls only when to the noclamp and texgen keywords were actually set Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 424660ef

2021-02-27 05:03:48

greebo

Details Diff
0005532: Prepare controls for wobblesky axes expressions Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 666817fd

2021-02-27 05:26:12

greebo

Details Diff
0005532: Parser adjustments to store the wobblesky expressions and link them to registers. Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor d246d6fe

2021-02-27 06:28:34

greebo

Details Diff
0005532: Remember the expressions used to define the translate/scroll transform, since we need it to display in the material editor Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor c74c397b

2021-02-27 06:28:58

greebo

Details Diff
0005532: Material Editor can display translate/scroll expressions Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor df451152

2021-02-27 06:38:39

greebo

Details Diff
0005532: New ExpressionBinding class to help with expression display. Affected Issues
0005532
add - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor 9a1ada5e

2021-02-27 08:00:18

greebo

Details Diff
0005532: Remember the expressions used to define the scale/rotate/shear transforms Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor de2357b9

2021-02-27 08:05:07

greebo

Details Diff
0005532: Unit tests checking the expression retrieval Affected Issues
0005532
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 3a425ec5

2021-02-27 08:30:28

greebo

Details Diff
0005532: (technically incorrect) centerScale expression support Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor d5491be4

2021-02-27 08:36:47

greebo

Details Diff
0005532: Material Editor displays a single transform expression, but this GUI approach is not going to stick around Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 5c96a564

2021-02-27 12:00:12

greebo

Details Diff
0005532: Support for displaying the stage condition expression Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor ba4b4d38

2021-02-27 12:10:39

greebo

Details Diff
0005532: Support for displaying the vertexColor/inverseVertexColor flags Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor d42cb1e6

2021-02-27 16:51:10

greebo

Details Diff
0005532: Material Editor shows the effective expression for the RGBA vertex colour components.
Since it's possible to overwrite any previously set expression in the same material stage, it's best for now to display just the end result.
A possible GUI approach to reflect what can be done with colours in a stage would be to switch to a list which can have an arbitrary combination (and order) of red, green, blue, alpha, rgb, rgba, color and colored keywords.
Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 60346bdf

2021-02-27 16:51:10

greebo

Details Diff
0005532: Material Editor shows the effective expression for the RGBA vertex colour components.
Since it's possible to overwrite any previously set expression in the same material stage, it's best for now to display just the end result.
A possible GUI approach to reflect what can be done with colours in a stage would be to switch to a list which can have an arbitrary combination (and order) of red, green, blue, alpha, rgb, rgba, color and colored keywords.
Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor c413f294

2021-02-28 04:11:22

greebo

Details Diff
0005532: Redesign vertexParm handling in Doom3ShaderLayer. Expressions and index are remembered, gaps in the vertex indices are recognisable. Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 1041b6f2

2021-02-28 04:17:07

greebo

Details Diff
0005532: Max number of vertexParms is 4. Affected Issues
0005532
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 87ee8bf8

2021-02-28 04:25:45

greebo

Details Diff
0005532: Don't ignore VFP layers. Material Editor displays the program name now Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor 0b1e67a6

2021-02-28 05:11:57

greebo

Details Diff
0005532: Material Editor can display vertex parameters in a list Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor a1fff5e3

2021-02-28 08:36:20

greebo

Details Diff
0005532: Redesign fragmentMap handling in Doom3ShaderLayer, analogously to the vertexParms. Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor fca61e1b

2021-02-28 08:47:41

greebo

Details Diff
0005532: Unit tests covering the fragment map parser Affected Issues
0005532
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor cf8035a2

2021-02-28 08:56:45

greebo

Details Diff
0005532: Material Editor can display fragmentMaps Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor 154e7762

2021-02-28 09:25:23

greebo

Details Diff
0005532: Extend material parser to be able to deal with the guisurf variants Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor 8bb92cc0

2021-02-28 09:52:09

greebo

Details Diff
0005532: Material Editor controls for guisurf variants Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor 6f79172c

2021-02-28 14:59:28

greebo

Details Diff
0005532: Material Editor supports ignoreDepth stage keyword Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: master 1c352965

2021-03-05 06:24:05

greebo

Details Diff
0005532: Compilation fixes Affected Issues
0005532
mod - radiant/ui/common/MaterialPopulator.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditorModule.cpp Diff File
mod - radiantcore/shaders/MapExpression.h Diff File

DarkRadiant: materialeditor2 244ad4ef

2021-03-05 17:19:55

greebo

Details Diff
0005532: Setup empty MaterialPreview class Affected Issues
0005532
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
add - radiant/ui/materials/MaterialPreview.cpp Diff File
add - radiant/ui/materials/MaterialPreview.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor2 f238d0b7

2021-03-05 17:31:46

greebo

Details Diff
0005532: Hide the grid and the toolbar button in the MaterialPreview Affected Issues
0005532
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - libs/wxutil/preview/RenderPreview.h Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File

DarkRadiant: materialeditor2 6ddf6b4c

2021-03-06 04:53:17

greebo

Details Diff
0005532: Fix crash in lighting mode due to (yet unsupported) VFP stages Affected Issues
0005532
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: materialeditor2 69a5bb53

2021-03-06 04:53:48

greebo

Details Diff
0005532: Working on the preview scene Affected Issues
0005532
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File

DarkRadiant: materialeditor2 f6eddb66

2021-03-06 05:32:54

greebo

Details Diff
0005532: Rotating cube, with ugly code Affected Issues
0005532
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - libs/wxutil/preview/RenderPreview.h Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File

DarkRadiant: materialeditor2 0ab29770

2021-03-06 06:17:39

greebo

Details Diff
0005532: Extend brush interface by IBrush::clear() to remove all faces Affected Issues
0005532
mod - include/ibrush.h Diff File
mod - radiantcore/brush/Brush.h Diff File

DarkRadiant: materialeditor2 890d89e6

2021-03-06 06:18:11

greebo

Details Diff
0005532: Got the cube to rotate, it's going to be replaced with a model in the end anyway Affected Issues
0005532
mod - radiant/ui/materials/MaterialPreview.cpp Diff File

DarkRadiant: materialeditor2 7579979e

2021-03-07 12:42:19

greebo

Details Diff
0005532: Start with lighting mode enabled and time running, if we have a material to show in the first place Affected Issues
0005532
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File

DarkRadiant: materialeditor2 0aa27c44

2021-03-12 04:18:52

greebo

Details Diff
0005532: Adjust model loader implementation to load from absolute paths, not just from the VFS Affected Issues
0005532
mod - include/imodel.h Diff File
mod - include/imodelcache.h Diff File
mod - radiantcore/model/ModelCache.cpp Diff File
mod - radiantcore/model/ModelCache.h Diff File
mod - radiantcore/model/md5/MD5ModelLoader.cpp Diff File
mod - radiantcore/model/md5/MD5ModelLoader.h Diff File
mod - radiantcore/model/picomodel/PicoModelLoader.cpp Diff File
mod - radiantcore/model/picomodel/PicoModelLoader.h Diff File

DarkRadiant: materialeditor2 7683c1fb

2021-03-12 04:47:42

greebo

Details Diff
0005532: Add possibility to add/remove skins to the global skin manager at runtime Affected Issues
0005532
mod - include/modelskin.h Diff File
mod - radiantcore/model/ModelCache.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.h Diff File

DarkRadiant: materialeditor2 fd7f8071

2021-03-12 04:48:34

greebo

Details Diff
0005532: Use a TestModelSkin implementation to return the selected material name when asked for a remap.
Add test models to preview/ resources.
Affected Issues
0005532
add - install/resources/preview/cube.ase Diff File
add - install/resources/preview/sphere.ase Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File
add - radiant/ui/materials/TestModelSkin.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor2 ba9c387c

2021-03-12 05:07:38

greebo

Details Diff
0005532: Model is rotating, this turns out to be much easier than dealing with brushes Affected Issues
0005532
mod - radiant/ui/materials/MaterialPreview.cpp Diff File

DarkRadiant: materialeditor2 fe7a6961

2021-03-12 10:56:27

greebo

Details Diff
0005532: Choose between cube and sphere, just to prove the model switch is working Affected Issues
0005532
add - install/bitmaps/cube.png Diff File
add - install/bitmaps/sphere.png Diff File
mod - install/resources/preview/cube.ase Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File

DarkRadiant: materialeditor2 6a4e9d9d

2021-03-12 12:53:30

greebo

Details Diff
0005532: CheckBoxBinding supports an optional save function Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 8c4d89ed

2021-03-12 14:12:01

greebo

Details Diff
0005532: Some refactoring. Add a skeleton ShaderTemplate::clone() method, which will be used to create a backup of the template before the material is modifying any of its properties. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 f1cdf057

2021-03-12 14:33:11

greebo

Details Diff
0005532: Implement copy/clone functionality for ShaderTemplate and Doom3ShaderLayer Affected Issues
0005532
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor2 779ed5c0

2021-03-12 15:31:58

greebo

Details Diff
0005532: Setup methods to set/clear material flags Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 e576be01

2021-03-12 15:38:00

greebo

Details Diff
0005532: Wire up the material flags Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 975ec22f

2021-03-12 16:39:53

greebo

Details Diff
0005532: Description is editable Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 8521dbe2

2021-03-12 16:49:18

greebo

Details Diff
0005532: Set material type on choice Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 bd351c7a

2021-03-13 03:43:24

greebo

Details Diff
0005532: Refactor bindings to support a preparation step before modifying a shader stage Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 59f6e2fe

2021-03-13 04:08:00

greebo

Details Diff
0005532: Add some const qualifiers for consistency Affected Issues
0005532
mod - include/ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 dd315a27

2021-03-13 04:19:03

greebo

Details Diff
0005532: Rename ShaderLayer.h to ishaderlayer.h Affected Issues
0005532
mod - include/iglrender.h Diff File
mod - include/irender.h Diff File
mod - include/ishaders.h Diff File
mod - include/precompiled_interfaces.h Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: materialeditor2 c9d942b5

2021-03-13 04:26:41

greebo

Details Diff
0005532: Rename ShaderLayer interface to IShaderLayer Affected Issues
0005532
mod - include/iglrender.h Diff File
mod - include/irender.h Diff File
mod - include/ishaderlayer.h Diff File
mod - include/ishaders.h Diff File
mod - libs/materials/ParseLib.h Diff File
mod - libs/wxutil/preview/GuiRenderer.cpp Diff File
mod - radiant/ui/common/ShaderSelector.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/model/export/WavefrontExporter.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: materialeditor2 d24d64f2

2021-03-13 05:08:08

greebo

Details Diff
0005532: Introduce an extended IEditableShaderLayer interface.
Just returning a const IShaderLayer reference for non-edit scenarios turns out to be impractical, since the render passes need to evaluate time-dependent expressions and update the stage's registers, requiring non-const access to the stages. The Material itself needs to know when it's being modified, so I went for intruducing a separate Material::getEditableLayer() method that is taking care of the backup clone as soon as it's called. This way it's possible to inspect and render a material without implicitly marking it as modified.
Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 f21f7689

2021-03-13 06:32:15

greebo

Details Diff
0005532: WIP commit, trying to get the shader layer updates working Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 3a90cce5

2021-03-13 13:49:34

greebo

Details Diff
0005532: Re-assigning expressions is working within the Doom3ShaderLayer now.
The render passes don't refresh themselves yet.
Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File

DarkRadiant: materialeditor2 bf963b99

2021-03-13 14:01:32

greebo

Details Diff
0005532: Notify the preview about the material change, which will in turn notify its render system - changes of translation expressions can now immediately be seen Affected Issues
0005532
mod - include/irender.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File

DarkRadiant: materialeditor2 f553f760

2021-03-13 15:04:18

greebo

Details Diff
0005532: As PoC, changing the stage map expression is working Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: materialeditor2 9179605c

2021-03-14 05:16:17

greebo

Details Diff
0005532: Alphatest entry box supports expressions now Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 9b4e70dc

2021-03-14 06:17:21

greebo

Details Diff
0005532: Start refactoring expression handling in the shader layer. Instead of keeping track of multiple indices, introduce an ExpressionSlot structure which will hold the necessary information. Alphatest has already been migrated. Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - include/ishaderlayer.h Diff File
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 3e136b9a

2021-03-14 09:04:55

greebo

Details Diff
0005532: Migrating texgen param expressions to use the expression slots Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 32c566c5

2021-03-14 10:59:58

greebo

Details Diff
0005532: Migrate texgen expressions to use slots Affected Issues
0005532
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 01be8edf

2021-03-14 11:11:09

greebo

Details Diff
0005532: Migrate condition to use expression slots Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 9d340bb1

2021-03-14 12:26:37

greebo

Details Diff
0005532: Migrate colour expressions Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 921a5571

2021-03-14 13:09:38

greebo

Details Diff
0005532: Ensure that re-using register indices is safe (they are not shared) when linking expressions Affected Issues
0005532
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 99fc0060

2021-03-14 13:24:23

greebo

Details Diff
0005532: Unit tests covering a few cases Affected Issues
0005532
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 18ed818b

2021-03-14 13:48:18

greebo

Details Diff
0005532: Refactor vertex parm expression handling, move ExpressionSlots to separate file pair Affected Issues
0005532
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
add - radiantcore/shaders/ExpressionSlots.cpp Diff File
add - radiantcore/shaders/ExpressionSlots.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor2 4a656d08

2021-03-14 18:03:48

greebo

Details Diff
0005532: Start building the system needed to support the chained transformations possible in the idTech4 stages Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 dc3da516

2021-03-14 18:04:23

greebo

Details Diff
0005532: Add (failing) unit test with some combined transformations Affected Issues
0005532, 0005552
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 b3b91ee0

2021-03-15 04:07:43

greebo

Details Diff
0005532: Adjust stage parsing code to stack transformation keywords Affected Issues
0005532, 0005552
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor2 3c6b0557

2021-03-15 05:06:09

greebo

Details Diff
0005532: Add a partially implemented wrapper class to encapsulate the texture matrix handling Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
add - radiantcore/shaders/TextureMatrix.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor2 bc81bc37

2021-03-19 03:18:31

greebo

Details Diff
0005532: Fix matrix multiplication implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
mod - radiantcore/shaders/TextureMatrix.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: materialeditor2 3b5a4267

2021-03-19 03:24:59

greebo

Details Diff
0005532: centerScale implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.h Diff File

DarkRadiant: materialeditor2 9097ac55

2021-03-19 03:27:09

greebo

Details Diff
0005532: shear implementation Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.h Diff File

DarkRadiant: materialeditor2 56a35683

2021-03-19 03:44:38

greebo

Details Diff
0005532: rotate implementation Affected Issues
0005532, 0005552
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
add - radiantcore/shaders/TextureMatrix.cpp Diff File
mod - radiantcore/shaders/TextureMatrix.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: materialeditor2 6d68aa53

2021-03-19 05:04:05

greebo

Details Diff
0005532: Adjust unit test cases, add sinTable and cosTable to unit test resources Affected Issues
0005532, 0005552
mod - radiantcore/shaders/TextureMatrix.cpp Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File
add - test/resources/tdm/materials/tables.mtr Diff File

DarkRadiant: materialeditor2 67a5348b

2021-03-19 06:15:09

greebo

Details Diff
0005532: Make IShaderExpressions cloneable Affected Issues
0005532
mod - include/ishaderexpression.h Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File

DarkRadiant: materialeditor2 55f65f68

2021-03-19 06:33:48

greebo

Details Diff
0005532: Use the stage texture transform matrix to set up the shader pass Affected Issues
0005532, 0005552
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/shaders/ExpressionSlots.cpp Diff File

DarkRadiant: materialeditor2 10425b75

2021-03-19 06:46:28

greebo

Details Diff
0005532: Remove all the unused code for handling the expressions for the various transformation types separately Affected Issues
0005532, 0005552
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 954b0697

2021-03-19 07:37:05

greebo

Details Diff
0005532: Setting up the transformation list view Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: materialeditor2 15af1b03

2021-03-19 11:26:10

greebo

Details Diff
0005532: Transformation edit controls Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/TextureMatrix.cpp Diff File

DarkRadiant: materialeditor2 7dbdd383

2021-03-19 11:35:31

greebo

Details Diff
0005532: Removing transforms is working Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 ac480468

2021-03-19 11:46:52

greebo

Details Diff
0005532: Avoid feedback loops when updating the description from the material Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 68a0d46c

2021-03-19 12:09:12

greebo

Details Diff
0005532: Wire up the vertex colour expressions Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 0bce7e6a

2021-03-19 12:23:30

greebo

Details Diff
0005532: Condition expression editing Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 5919c9b8

2021-03-19 13:51:54

greebo

Details Diff
0005532: Bind vertex colour controls Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
add - radiant/ui/materials/RadioButtonBinding.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor2 92a6ee1a

2021-03-19 14:57:26

greebo

Details Diff
0005532: Combine common stuff in a TwoWayStageBinding base class Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/RadioButtonBinding.h Diff File

DarkRadiant: materialeditor2 b41cf10f

2021-03-19 15:20:45

greebo

Details Diff
0005532: Update the colored checkbox when editing the RGBA expressions Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 8350d277

2021-03-19 15:37:51

greebo

Details Diff
0005532: Better colored interaction with the RGBA expressions Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: materialeditor2 2a1139d8

2021-03-19 17:24:47

greebo

Details Diff
0005532: Clamp type checkboxes converted to dropdown Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 b5d416d3

2021-03-19 18:13:39

greebo

Details Diff
0005532: TexGen selection is working Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 9d8fec12

2021-03-19 18:41:34

greebo

Details Diff
0005532: Refactoring Affected Issues
0005532
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: materialeditor2 9e198da4

2021-03-19 19:13:25

greebo

Details Diff
0005532: Start working on the map type selection Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 915fc726

2021-03-20 02:53:21

greebo

Details Diff
0005532: Map type selection Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 7c9c5626

2021-03-20 03:41:37

greebo

Details Diff
0005532: Add binding to privatePolygonOffset. Map type selection WIP. Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
add - radiant/ui/materials/SpinCtrlBinding.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor2 724d6531

2021-03-20 04:02:33

greebo

Details Diff
0005532: Bind render map width/height Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 f34da7a4

2021-03-20 04:50:25

greebo

Details Diff
0005532: Custom map types are editable now Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 558e66ca

2021-03-20 06:22:02

greebo

Details Diff
0005532: Updating the main blend type is working now Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor2 ced3cdd4

2021-03-20 09:00:48

greebo

Details Diff
0005532: Enabling/disabling of individual stages (not working yet for constructed DBS triplets) Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File

DarkRadiant: materialeditor2 4f4f22d9

2021-03-20 14:58:22

greebo

Details Diff
0005532: Adding/removing shader stages is working Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 0c70138e

2021-03-20 15:07:12

greebo

Details Diff
0005532: Toggle stage visibility button Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 40317cd1

2021-03-20 15:35:15

greebo

Details Diff
0005532: Moving stages is working Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 6db0dd53

2021-03-20 15:54:13

greebo

Details Diff
0005532: Duplicate layers button Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 808c324c

2021-03-20 16:00:23

greebo

Details Diff
0005532: Stage manipulation button sensitivity Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 9e0b59f2

2021-03-20 18:30:45

greebo

Details Diff
0005532: Two-way material binding, used for polygonOffset Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/SpinCtrlBinding.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 3bc65a41

2021-03-20 18:59:44

greebo

Details Diff
0005532: Spectrum is editable Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 fdd8a4c6

2021-03-21 05:37:55

greebo

Details Diff
0005532: Change lightFalloffImage handling, since only the last occurrence of lightFalloffImage and lightFalloffCubeMap will actually make it into the effective map, if both are declared. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 5d371ca5

2021-03-21 06:04:30

greebo

Details Diff
0005532: Refactoring to reduce code duplication Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File

DarkRadiant: materialeditor2 a33b14b1

2021-03-21 07:32:10

greebo

Details Diff
0005532: More template trickery to remove the separate base templates for MaterialPtr and IShaderLayer::Ptr bindings Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/RadioButtonBinding.h Diff File
mod - radiant/ui/materials/SpinCtrlBinding.h Diff File

DarkRadiant: materialeditor2 f31ea17a

2021-03-21 07:45:29

greebo

Details Diff
0005532: Bind lightFallOffImage text control. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 4d9cbcb7

2021-03-21 08:17:12

greebo

Details Diff
0005532: Sort request is a float value Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 abece930

2021-03-21 08:20:14

greebo

Details Diff
0005532: Unit test tweaks Affected Issues
0005532
mod - test/Materials.cpp Diff File
mod - test/resources/tdm/materials/parsertest.mtr Diff File

DarkRadiant: materialeditor2 f198d659

2021-03-21 08:33:00

greebo

Details Diff
0005532: Disable a couple of controls which don't support editing at this point Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File

DarkRadiant: materialeditor2 a3dfdf07

2021-03-21 11:09:48

greebo

Details Diff
0005532: Add a few setters to Material Affected Issues
0005532
mod - include/ishaderlayer.h Diff File
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 1fb9fed6

2021-03-21 11:19:46

greebo

Details Diff
0005532: Setters for clamp type and cull type. Affected Issues
0005532
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: materialeditor2 7b4c12e9

2021-03-21 12:01:11

greebo

Details Diff
0005532 Some refactoring and rearrangement, surface flags can be modified now Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/Binding.h Diff File
add - radiant/ui/materials/CheckBoxBinding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - radiant/ui/materials/RadioButtonBinding.h Diff File
mod - radiant/ui/materials/SpinCtrlBinding.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: materialeditor2 509bcbb1

2021-03-21 12:29:10

greebo

Details Diff
0005532: Change ScopedBoolLock to revert the attached boolean to its previous value on destruction Affected Issues
0005532
mod - libs/util/ScopedBoolLock.h Diff File

DarkRadiant: materialeditor2 8b9dba02

2021-03-21 12:29:50

greebo

Details Diff
0005532: Disable a few more controls, don't leak exceptions when parsing empty expression strings Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiantcore/shaders/MapExpression.cpp Diff File

DarkRadiant: materialeditor2 802882d7

2021-03-21 14:48:39

greebo

Details Diff
0005532: Polygon offset implicitly set by macros should be visible in the GUI Affected Issues
0005532
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: materialeditor2 b09cbc82

2021-03-21 14:48:59

greebo

Details Diff
0005532: Move source view to collapsible pane Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 eed648a4

2021-03-21 15:48:55

greebo

Details Diff
0005532: Rearranging the dialog, WIP Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 fa071ec6

2021-03-21 17:08:06

greebo

Details Diff
0005532: Move all tabs into one notebook, showing/hiding the pages as necessary Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 0b1fbf99

2021-03-21 17:10:33

greebo

Details Diff
0005532: Remove unmapped pages to prevent resource leaks Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 f9ce561c

2021-03-21 17:47:51

greebo

Details Diff
0005532: WIP commit, retaining the tab order Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 22cc4278

2021-03-21 18:57:42

greebo

Details Diff
0005532: Stage list checkboxes replaced with icons Affected Issues
0005532
add - install/bitmaps/invisible.png Diff File
add - install/bitmaps/visible.png Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 c58667f3

2021-03-21 19:11:18

greebo

Details Diff
0005532: Update handling improvements Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File

DarkRadiant: materialeditor2 bfee09a4

2021-03-21 19:48:55

greebo

Details Diff
0005532: Merge the special map tab into the regular blending tab Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 ee672473

2021-03-22 04:01:23

greebo

Details Diff
0005532: Rearrange stage blend controls Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 b43962f9

2021-03-22 05:02:39

greebo

Details Diff
0005532: More rearrangements, cull type is using a drop down now Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/materials/ParseLib.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 1c7d0ce0

2021-03-22 05:29:48

greebo

Details Diff
0005532: Add resource tree view toolbar. Some more XRC tweaking. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 0a59f336

2021-03-22 07:10:34

greebo

Details Diff
0005532: Switch off the favourite controls, add the section label to the toolbar instead. Affected Issues
0005532
mod - libs/wxutil/dataview/ResourceTreeViewToolbar.cpp Diff File
mod - libs/wxutil/dataview/ResourceTreeViewToolbar.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: materialeditor2 4ab09dad

2021-03-22 07:30:54

greebo

Details Diff
0005532: Preparations to draw a background room in the preview Affected Issues
0005532
add - install/resources/preview/room_cuboid.ase Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File
mod - radiant/ui/materials/TestModelSkin.h Diff File

DarkRadiant: materialeditor2 61510a26

2021-03-22 08:10:10

greebo

Details Diff
0005532: Fix depth issues in lighting mode. Hide the testmodel if no material is selected. The room texture is defined in the .game file now. Affected Issues
0005532
mod - install/games/darkmod.game Diff File
mod - install/resources/preview/room_cuboid.ase Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File
mod - radiant/ui/materials/TestModelSkin.h Diff File

DarkRadiant: materialeditor2 0ff2b629

2021-03-22 08:34:09

greebo

Details Diff
0005532: Add tiling plane test model. Source view is collapsed at the beginning Affected Issues
0005532
add - install/bitmaps/tiles.png Diff File
add - install/resources/preview/tiles.ase Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/MaterialPreview.h Diff File

DarkRadiant: materialeditor2 32c978ca

2021-03-22 08:35:48

greebo

Details Diff
0005532: Add "experimental" to Material Editor menu item Affected Issues
0005532
mod - radiant/ui/materials/MaterialEditorModule.cpp Diff File

DarkRadiant: master bd51ca22

2021-03-22 12:27:05

greebo

Details Diff
0005532: Fix compilation in gcc Affected Issues
0005532
mod - radiant/ui/materials/Binding.h Diff File
mod - radiant/ui/materials/CheckBoxBinding.h Diff File
mod - radiant/ui/materials/ExpressionBinding.h Diff File
mod - radiant/ui/materials/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/RadioButtonBinding.h Diff File
mod - radiant/ui/materials/SpinCtrlBinding.h Diff File
mod - radiantcore/shaders/ExpressionSlots.h Diff File

DarkRadiant: master c996c54e

2021-03-22 15:25:08

greebo

Details Diff
0005532: Until wxGTK supports instantiating wxSpinCtrlDouble types from XRC, we need to go for this workaround. Affected Issues
0005532
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - libs/wxutil/XmlResourceBasedWidget.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/particles/ParticleEditor.cpp Diff File
mod - radiant/ui/particles/ParticleEditor.h Diff File

Issue History

Date Modified Username Field Change
10.02.2021 04:21 greebo New Issue
10.02.2021 04:21 greebo Assigned To => greebo
10.02.2021 04:21 greebo Status new => assigned
10.02.2021 04:21 greebo Target Version => 2.12.0
10.02.2021 04:31 greebo Additional Information Updated View Revisions
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor 59b1b754
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor 252ea449
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor 9ed05927
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor eb8123cf
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor 0269d29d
14.02.2021 12:38 greebo Changeset attached => DarkRadiant materialeditor 31d3a92e
14.02.2021 12:43 greebo Changeset attached => DarkRadiant materialeditor 44cd18b2
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor 8b9e88e9
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor c04fbe25
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor 4d599792
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor 1c0f9a76
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor 195e3031
19.02.2021 06:35 greebo Changeset attached => DarkRadiant materialeditor 81b9bcb4
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor 8cb57ca5
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor 110bc03e
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor a7352a92
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor 4627d6c7
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor 0aae4dd5
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor 65ae7f25
19.02.2021 11:54 greebo Changeset attached => DarkRadiant materialeditor c702aa99
19.02.2021 12:55 greebo Changeset attached => DarkRadiant materialeditor 0d5bc8df
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor c120e109
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 94c326c5
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 006bab20
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor d959727d
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 5965bc5b
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 539ce580
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 01d46acc
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 47929272
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor a748d878
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 29fc9a17
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 2206a93a
20.02.2021 05:44 greebo Changeset attached => DarkRadiant materialeditor 43c377f2
20.02.2021 09:16 greebo Changeset attached => DarkRadiant materialeditor 7870ee92
20.02.2021 09:16 greebo Changeset attached => DarkRadiant materialeditor 6803df2b
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor 9d10db97
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor d0c3793c
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor 666551c3
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor 863474bb
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor 08aeb123
21.02.2021 05:55 greebo Changeset attached => DarkRadiant materialeditor 66db22e7
21.02.2021 12:02 greebo Changeset attached => DarkRadiant materialeditor e3c36631
21.02.2021 12:02 greebo Changeset attached => DarkRadiant materialeditor 3ace0cf2
21.02.2021 12:02 greebo Changeset attached => DarkRadiant materialeditor d685ffc6
23.02.2021 15:55 greebo Changeset attached => DarkRadiant materialeditor fe82beed
23.02.2021 15:55 greebo Changeset attached => DarkRadiant materialeditor 7e45278b
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 137dc917
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 37c90058
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor e56565f2
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor e1c05f1a
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 0f92a1f8
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor aa2fb0b8
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor e55d8e60
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor ed2b64d4
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 18f2d0a1
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 70d7154a
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor 610aeac7
26.02.2021 07:43 greebo Changeset attached => DarkRadiant materialeditor febd0e17
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor 44a8f4d5
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor 424660ef
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor 666817fd
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor d246d6fe
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor c74c397b
27.02.2021 06:38 greebo Changeset attached => DarkRadiant materialeditor df451152
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor 9a1ada5e
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor de2357b9
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor 3a425ec5
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor d5491be4
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor 5c96a564
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor ba4b4d38
27.02.2021 16:51 greebo Changeset attached => DarkRadiant materialeditor d42cb1e6
27.02.2021 17:49 greebo Changeset attached => DarkRadiant materialeditor 60346bdf
28.02.2021 05:12 greebo Changeset attached => DarkRadiant materialeditor c413f294
28.02.2021 05:12 greebo Changeset attached => DarkRadiant materialeditor 1041b6f2
28.02.2021 05:12 greebo Changeset attached => DarkRadiant materialeditor 87ee8bf8
28.02.2021 05:12 greebo Changeset attached => DarkRadiant materialeditor 0b1e67a6
28.02.2021 08:56 greebo Changeset attached => DarkRadiant materialeditor a1fff5e3
28.02.2021 08:56 greebo Changeset attached => DarkRadiant materialeditor fca61e1b
28.02.2021 08:56 greebo Changeset attached => DarkRadiant materialeditor cf8035a2
28.02.2021 09:52 greebo Changeset attached => DarkRadiant materialeditor 154e7762
28.02.2021 09:52 greebo Changeset attached => DarkRadiant materialeditor 8bb92cc0
28.02.2021 15:23 greebo Changeset attached => DarkRadiant materialeditor 6f79172c
05.03.2021 06:45 greebo Changeset attached => DarkRadiant master 1c352965
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 244ad4ef
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 f238d0b7
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 6ddf6b4c
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 69a5bb53
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 f6eddb66
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 0ab29770
06.03.2021 06:29 greebo Changeset attached => DarkRadiant materialeditor2 890d89e6
07.03.2021 14:55 Bikerdude Note Added: 0013764
07.03.2021 16:21 greebo Note Added: 0013765
07.03.2021 19:56 greebo Changeset attached => DarkRadiant materialeditor2 7579979e
12.03.2021 05:07 greebo Changeset attached => DarkRadiant materialeditor2 0aa27c44
12.03.2021 05:07 greebo Changeset attached => DarkRadiant materialeditor2 7683c1fb
12.03.2021 05:07 greebo Changeset attached => DarkRadiant materialeditor2 fd7f8071
12.03.2021 05:07 greebo Changeset attached => DarkRadiant materialeditor2 ba9c387c
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 fe7a6961
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 6a4e9d9d
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 8c4d89ed
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 f1cdf057
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 779ed5c0
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 e576be01
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 975ec22f
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 8521dbe2
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 bd351c7a
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 59f6e2fe
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 dd315a27
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 c9d942b5
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 d24d64f2
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 f21f7689
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 3a90cce5
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 bf963b99
13.03.2021 15:14 greebo Changeset attached => DarkRadiant materialeditor2 f553f760
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 9179605c
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 9b4e70dc
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 3e136b9a
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 32c566c5
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 01be8edf
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 9d340bb1
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 921a5571
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 99fc0060
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 18ed818b
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 4a656d08
14.03.2021 18:04 greebo Changeset attached => DarkRadiant materialeditor2 dc3da516
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 b3b91ee0
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 3c6b0557
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 bc81bc37
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 3b5a4267
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 9097ac55
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 56a35683
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 6d68aa53
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 67a5348b
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 55f65f68
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 10425b75
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 954b0697
19.03.2021 11:26 greebo Changeset attached => DarkRadiant materialeditor2 15af1b03
19.03.2021 12:25 greebo Changeset attached => DarkRadiant materialeditor2 7dbdd383
19.03.2021 12:25 greebo Changeset attached => DarkRadiant materialeditor2 ac480468
19.03.2021 12:25 greebo Changeset attached => DarkRadiant materialeditor2 68a0d46c
19.03.2021 12:25 greebo Changeset attached => DarkRadiant materialeditor2 0bce7e6a
19.03.2021 15:38 greebo Changeset attached => DarkRadiant materialeditor2 5919c9b8
19.03.2021 15:38 greebo Changeset attached => DarkRadiant materialeditor2 92a6ee1a
19.03.2021 15:38 greebo Changeset attached => DarkRadiant materialeditor2 b41cf10f
19.03.2021 15:38 greebo Changeset attached => DarkRadiant materialeditor2 8350d277
19.03.2021 19:13 greebo Changeset attached => DarkRadiant materialeditor2 2a1139d8
19.03.2021 19:13 greebo Changeset attached => DarkRadiant materialeditor2 b5d416d3
19.03.2021 19:13 greebo Changeset attached => DarkRadiant materialeditor2 9d8fec12
19.03.2021 19:13 greebo Changeset attached => DarkRadiant materialeditor2 9e198da4
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 915fc726
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 7c9c5626
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 724d6531
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 f34da7a4
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 558e66ca
20.03.2021 09:01 greebo Changeset attached => DarkRadiant materialeditor2 ced3cdd4
20.03.2021 16:00 greebo Changeset attached => DarkRadiant materialeditor2 4f4f22d9
20.03.2021 16:00 greebo Changeset attached => DarkRadiant materialeditor2 0c70138e
20.03.2021 16:00 greebo Changeset attached => DarkRadiant materialeditor2 40317cd1
20.03.2021 16:00 greebo Changeset attached => DarkRadiant materialeditor2 6db0dd53
20.03.2021 16:00 greebo Changeset attached => DarkRadiant materialeditor2 808c324c
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 9e0b59f2
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 3bc65a41
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 fdd8a4c6
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 5d371ca5
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 a33b14b1
21.03.2021 07:45 greebo Changeset attached => DarkRadiant materialeditor2 f31ea17a
21.03.2021 08:17 greebo Changeset attached => DarkRadiant materialeditor2 4d9cbcb7
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 abece930
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 f198d659
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 a3dfdf07
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 1fb9fed6
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 7b4c12e9
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 509bcbb1
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 8b9dba02
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 802882d7
21.03.2021 19:11 greebo Changeset attached => DarkRadiant materialeditor2 b09cbc82
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 eed648a4
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 fa071ec6
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 0b1fbf99
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 f9ce561c
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 22cc4278
21.03.2021 19:12 greebo Changeset attached => DarkRadiant materialeditor2 c58667f3
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 bfee09a4
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 ee672473
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 b43962f9
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 1c7d0ce0
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 0a59f336
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 4ab09dad
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 61510a26
22.03.2021 08:34 greebo Changeset attached => DarkRadiant materialeditor2 0ff2b629
22.03.2021 10:27 greebo Summary Material Editor => Material Editor (ground work)
22.03.2021 10:27 greebo Changeset attached => DarkRadiant materialeditor2 32c978ca
22.03.2021 11:02 greebo Relationship added parent of 0005565
22.03.2021 11:14 greebo Relationship added parent of 0005568
22.03.2021 11:15 greebo Relationship added parent of 0005567
22.03.2021 11:15 greebo Relationship added related to 0005566
22.03.2021 11:17 greebo Relationship added parent of 0005569
22.03.2021 11:20 greebo Relationship added parent of 0005570
22.03.2021 15:27 greebo Changeset attached => DarkRadiant master c996c54e
22.03.2021 15:27 greebo Changeset attached => DarkRadiant master bd51ca22
23.03.2021 07:01 greebo Relationship added child of 0005572
23.03.2021 07:01 greebo Relationship deleted parent of 0005565
23.03.2021 07:02 greebo Relationship deleted parent of 0005568
23.03.2021 07:02 greebo Relationship deleted parent of 0005567
23.03.2021 07:02 greebo Relationship deleted parent of 0005569
23.03.2021 07:02 greebo Relationship deleted parent of 0005570
23.03.2021 07:03 greebo Status assigned => resolved
23.03.2021 07:03 greebo Resolution open => fixed
23.03.2021 07:03 greebo Fixed in Version => 2.12.0
23.03.2021 07:05 greebo Summary Material Editor (ground work) => Material Editor: Ground Work
23.03.2021 07:05 greebo Description Updated View Revisions